if (! $?LCG_ENV_SET) then
    if (! $?EDG_SYSCONFIG) then
      set EDG_SYSCONFIG=/etc/sysconfig/edg
    endif

    if (! $?EDG_LOCATION && -r "$EDG_SYSCONFIG" ) then
      set tmp=`grep ^EDG_LOCATION $EDG_SYSCONFIG| tail -n 1|sed 's/=/ /'`
      if ( ! -z "$tmp" ) then
	eval setenv $tmp
      endif
    endif

    if (! $?EDG_LOCATION ) then
      setenv EDG_LOCATION /opt/edg
    endif

    # EDG_LOCATION_VAR is only defined if in the sysconfig file.

    if (! $?EDG_TMP ) then
      setenv EDG_TMP /tmp
    endif


    # The rest of this file sets up the variables for the EDG user environment.

    # PATH

    setenv PATH `echo "${PATH}" | sed -e "s%:${EDG_LOCATION}[^:]*%%g" -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%"`

    # Add $EDG_LOCATION/sbin to root's path
    if (`id -u` == 0) then
      setenv PATH "${EDG_LOCATION}/sbin:$PATH"
    endif

    # Temporary hack: put /usr/local/bin in PATH
    setenv PATH "/usr/local/bin:${PATH}"

    setenv PATH "${EDG_LOCATION}/bin:${PATH}"


    # LD_LIBRARY_PATH

    if ( $?LD_LIBRARY_PATH ) then
	setenv LD_LIBRARY_PATH `echo "${LD_LIBRARY_PATH}" | sed -e "s%:${EDG_LOCATION}[^:]*%%g" -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%"`
    else
	setenv LD_LIBRARY_PATH
    endif

    set DELIM=
    if ( "X${LD_LIBRARY_PATH}" != "X" ) then
	set DELIM=:
    endif

    # Temporary hack: put /usr/local/lib in LD_LIBRARY_PATH
    setenv LD_LIBRARY_PATH "/usr/local/lib${DELIM}${LD_LIBRARY_PATH}"

    set DELIM=
    if ( "X${LD_LIBRARY_PATH}" != "X" ) then
	set DELIM=:
    endif

    setenv LD_LIBRARY_PATH "${EDG_LOCATION}/lib${DELIM}${LD_LIBRARY_PATH}"

    # PYTHONPATH

    if ( $?PYTHONPATH ) then
	setenv PYTHONPATH `echo "${PYTHONPATH}" | sed -e "s%:${EDG_LOCATION}[^:]*%%g" -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%"`
    else
	setenv PYTHONPATH
    endif

    set DELIM=
    if ( "X${PYTHONPATH}" != "X" ) then
	set DELIM=:
    endif
    setenv PYTHONPATH "${EDG_LOCATION}/lib:${EDG_LOCATION}/lib/python${DELIM}${PYTHONPATH}"

    # MAN_PATH

    # Clean up.
    if ( $?MANPATH ) then
      setenv MANPATH `echo "$MANPATH" | sed -e "s%:${EDG_LOCATION}[^:]*%%g" -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%"`
    endif

    # Add EDG man directory to MANPATH.
    if (! $?MANPATH) then
     
      # If the MANPATH isn't set yet, add the EDG man directory.
      # Be sure the prepend a colon to force man to search standard
      # directories.
      setenv MANPATH ":${EDG_LOCATION}/share/man"
     
    else
     
      # The path isn't empty.  Clean up will have removed existing paths.
      setenv MANPATH "${MANPATH}:${EDG_LOCATION}/share/man"
    endif
endif
