if test "x${LCG_ENV_SET+x}" = x; then
    EDG_SYSCONFIG=${EDG_SYSCONFIG:-/etc/sysconfig/edg}

    if [ -z "$EDG_LOCATION" -a -r "$EDG_SYSCONFIG" ]; then
      . $EDG_SYSCONFIG
    fi

    EDG_LOCATION=${EDG_LOCATION:-/opt/edg}
    export EDG_LOCATION

    # Only export if defined in sysconfig file.
    if [ -n "$EDG_LOCATION_VAR" ]; then
      export EDG_LOCATION_VAR
    fi

    EDG_TMP=${EDG_TMP:-/tmp}
    export EDG_TMP


    # The rest of this file sets up the variables for the EDG user environment.

    # Clean the variables (first clean all put first position; second
    # cleans up the first position). 

    PATH=`echo "${PATH}" | sed -e "s%:${EDG_LOCATION}[^:]*%%g" \
			       -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%g"`

    LD_LIBRARY_PATH=`echo "${LD_LIBRARY_PATH}" | \
		       sed -e "s%:${EDG_LOCATION}[^:]*%%g"\
			   -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%g"`

    PYTHONPATH=`echo "${PYTHONPATH}" | sed -e "s%:${EDG_LOCATION}[^:]*%%g" \
					   -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%g"`

    MANPATH=`echo "${MANPATH}" | sed -e "s%:${EDG_LOCATION}[^:]*%%g"\
				     -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%g"`

    PERLLIB=`echo "${PERLLIB}" | sed -e "s%:${EDG_LOCATION}[^:]*%%g" \
				     -e "s%^${EDG_LOCATION}[^:]*:\{0,1\}%%g"`

    # PATH

    # Add $EDG_LOCATION/sbin to root's path
    if [ `id -u` = 0 ]; then
      PATH="${EDG_LOCATION}/sbin:${PATH}"
    fi

    # Temporary hack: put /usr/local/bin in PATH
    PATH="/usr/local/bin:${PATH}"

    PATH="${EDG_LOCATION}/bin:${PATH}"

    export PATH

    # LD_LIBRARY_PATH

    # Temporary hack: put /usr/local/lib in LD_LIBRARY_PATH
    DELIM=
    if [ -n "${LD_LIBRARY_PATH}" ]; then
	DELIM=:
    fi
    LD_LIBRARY_PATH="/usr/local/lib${DELIM}${LD_LIBRARY_PATH}"

    DELIM=
    if [ -n "${LD_LIBRARY_PATH}" ]; then
	DELIM=:
    fi
    LD_LIBRARY_PATH="${EDG_LOCATION}/lib${DELIM}${LD_LIBRARY_PATH}"

    export LD_LIBRARY_PATH

    # PYTHONPATH

    DELIM=
    if [ -n "${PYTHONPATH}" ]; then
	DELIM=:
    fi
    PYTHONPATH="${EDG_LOCATION}/lib:${EDG_LOCATION}/lib/python${DELIM}${PYTHONPATH}"

    export PYTHONPATH

    # MANPATH

    if [ -z "$MANPATH" ]; then
     
      # If the MANPATH isn't set yet, add the EDG man directory.
      # Be sure the prepend a colon to force man to search standard
      # directories.
      MANPATH=":${EDG_LOCATION}/share/man"
     
    else
     
      # The path isn't empty. Append  the directory.  If it already existed,
      # then it was stripped out above. 
      MANPATH=${MANPATH}:${EDG_LOCATION}/share/man
    fi

    export MANPATH


    # PERLLIB

    DELIM=
    if [ -n "$PERLLIB" ]; then
	DELIM=:
    fi
    PERLLIB="${EDG_LOCATION}/lib/perl${DELIM}${PERLLIB}"

    export PERLLIB
fi
