#!/bin/csh
# 
# Initialize the environment with EDG-specific profile.d scripts.
#
# Note: this script should be run only after the top-level EDG profile.d
# script runs so that EDG_LOCATION and EDG_LOCATION_VAR are properly
# defined.  Moreoever, we guarantee that the Globus variables are also 
# initialized, so the Globus profile.d should also run before this. 
#
# Look first in EDG_LOCATION_VAR.  If it exists use only those scripts in
# that directory.  If not, move on to EDG_LOCATION. 
#

if (! $?LCG_ENV_SET) then

    # List of files to source and list of basenames already in list.
    set slist = ""
    set dlist = ""

    # Look in EDG_LOCATION_VAR first.  Keep track of the base names to 
    # exclude doing one setup twice. 
    if ($?EDG_LOCATION_VAR) then
	if (-d ${EDG_LOCATION_VAR}/etc/profile.d) then 
	    foreach i (${EDG_LOCATION_VAR}/etc/profile.d/*.csh) 
		if ( -x ${i} ) then
		    set slist = "${slist} ${i}"
		    set dlist = "${dlist} `basename ${i}`"
		endif
	    end
	    unset i
	endif
    endif

    # Now look in normal EDG_LOCATION excluding those already done.
    if ($?EDG_LOCATION) then
	if (-d ${EDG_LOCATION}/etc/profile.d) then 
	    foreach i (${EDG_LOCATION}/etc/profile.d/*.csh) 
		if ( -x ${i} ) then
		    set bn = `basename ${i}`
		    if ( "`echo ${slist} | grep ${bn}`" == "" ) then
			set slist = "${slist} ${i}"
		    endif
		    unset bn
		endif
	    end
	    unset i
	endif
    endif

    # Now that we have the directory actually source the files. 
    foreach i (${slist})
	source ${i}
    end
    unset i

    # Clean up.
    unset slist
    unset dlist
endif
